STC 2.4 release

Change-Id: Ib39c721cc7854a679a0bad23d9d67af54bd8e2b5
(cherry picked from commit 69e76235396b83391ff945e99319bfd504f9c6d3)
diff --git a/tools/test/bin/stc b/tools/test/bin/stc
index 5361c24..e088af7 100755
--- a/tools/test/bin/stc
+++ b/tools/test/bin/stc
@@ -5,7 +5,7 @@
 
 . $ONOS_ROOT/tools/build/envDefaults
 
-VER=${STC_VERSION:-2.3}
+VER=${STC_VERSION:-2.4}
 MVN_JAR=org/onosproject/onos-stc/$VER/onos-stc-$VER.jar
 JAR=${MAVEN_REPO:-$HOME/.m2/repository}/$MVN_JAR
 SCENARIOS=$ONOS_ROOT/tools/test/scenarios
@@ -22,9 +22,11 @@
 
 scenario=${1:-smoke}
 
-[ ! -f $scenario ] && scenario=$SCENARIOS/$scenario
-[ ! -f $scenario ] && scenario=$scenario.xml
-[ ! -f $scenario ] && echo "Scenario $scenario file not found" && exit 1
+if [ $scenario != "-?" -a $scenario != "-h" -a $scenario != "--help" ]; then
+    [ ! -f $scenario ] && scenario=$SCENARIOS/$scenario
+    [ ! -f $scenario ] && scenario=$scenario.xml
+    [ ! -f $scenario ] && echo "Scenario $scenario file not found" && exit 1
+fi
 
 # Remove the test name from the list of parameters, if one is specified
 [ $# -ge 1 ] && shift